{
unit RegisterComp

  ES: unidad para registrar los componentes
  EN: unit to register the components

=========================================================================
History:

ver 0.1:
  ES: primera versin
  EN: first version
=========================================================================
IMPORTANTE PROGRAMADORES: Por favor, si tienes comentarios, mejoras,
  ampliaciones, errores y/o cualquier otro tipo de sugerencia, envame un correo a:
  gmlib@cadetill.com

IMPORTANT PROGRAMMERS: please, if you have comments, improvements, enlargements,
  errors and/or any another type of suggestion, please send me a mail to:
  gmlib@cadetill.com
=========================================================================

Copyright () 2011, by Xavier Martinez (cadetill)

@author Xavier Martinez (cadetill)
@web  http://www.cadetill.com
}
unit RegisterComp;

interface

  procedure Register;

implementation

{$IF CompilerVersion < 17}
{$R gmlibres.res}
{$IFEND}

uses
  Classes, DesignEditors, DesignIntf,
  UAboutFrm, GMEditors, GMBase, GMMap, GMMarker, GMInfoWindow;

procedure Register;
begin
  RegisterComponents('GoogleMaps', [TGMMap, TGMMarker, TGMInfoWindow]);

  RegisterPropertyEditor(TypeInfo(TAboutFrm), nil, '', TAboutGMLib);

  RegisterComponentEditor(TGMBase, TGMBaseEditor);
  RegisterComponentEditor(TGMLinkedComponent, TGMLinkedComponentEditor);
end;

end.
